Contents

# Comparison Operators

Comparison operators compare two expressions. The result is returned as a boolean expression that determines if the comparison is True (-1) or False (0).

### Syntax:

      result = expression1 { = | < | > | <= | >= } expression2

### Parameters:

result: Boolean that specifies the result of the comparison (True, or False)

expression1, expression2: Any numeric values or strings that you want to compare.

## 比較運算子

= : 等於

< : 小於

> : 大於

<= : 小於或等於

>= : 大於或等於

<> : 不等於

### Example:

    Sub ExampleUnequal
    Dim sFile As String
    DIM sRoot As String REM ' 輸入和匯出檔案的根目錄
        sRoot = "c:\"
        sFile = Dir$( sRoot ,22)
        If sFile <> "" Then
            Do
                MsgBox sFile
                sFile = Dir$
            Loop Until sFile = ""
        End If
    End Sub

相關主題

Mathematical Operators

Logical Operators